Search Over 30,000 FREE Plugins from the Official WordPress Plugin Directory Repository

Pet Adoption Listings

Display adoptable pets from an Adopt-a-Pet.com shelter's listings.

This plugin provides two easy ways to display listings of adoptable pets from a shelter's profile at Adopt-a-Pet.com via iframe.

The first way is with a shortcode pet_adoption_listings that can be included in any post or page content. When used it will show the shelter's available pets from their Adopt-a-Pet.com profile. The only required attribute is shelter_id (obtained from Adopt-a-Pet.com) but you can also specify the iframe width and height.

The second way is with a widget that can display available pets in your sidebar or wherever else widgets are in your theme. You can specify the Shelter's ID (required, obtained from Adopt-a-Pet.com), the types of pets to show (defaults to All), and the height of the listing.

All pet detail links will open in a new browser window or tab on the Adopt-a-Pet.com website.

Note that the plugin loads content from a third-party site via iframe, and so may introduce cookies, tracking codes, etc. in addition to those present on your WordPress site. This plugin and widget is in no way affiliated with or endorsed by Adopt-a-Pet.com or its partners.

Want to help make this plugin better? Pull requests are welcome.

Author Chris Hardie
Profile
Contributors chrishardie
Tags adoptable pets, adoption, animals, pets
  1. pet-adoption-listings screenshot 1

    The shortcode definition in the post editor

  2. pet-adoption-listings screenshot 2

    The shortcode front-end display

  3. pet-adoption-listings screenshot 3

    The widget configuration options

  4. pet-adoption-listings screenshot 4

    The widget front-end display

  1. Upload the pet-adoption-listings folder to the /wp-content/plugins/ directory
  2. Activate the Pet Adoption Listings plugin through the Plugins menu in the WordPress dashboard
  3. Add the shortcode to a post, and define the shortcode_id attribute, and optionally iframe_width and iframe_height
  4. Alternatively, add the widget to an available widget area and configure the options

1.1

  • Fix widget registration to work with newer WordPress versions
  • Add additional escaping
  • Miscellaneous code cleanup

1.0

  • Initial release
Share  
Download
Version 1.1

Requires WordPress version: 2.8 or higher

Compatible up to: 4.7.2

Last Updated 19 Dec 2016

Date Added: 01 Feb 2015

Plugin Homepage

Evaluation
star1
star2
star3
star4
star5

0 stars
0 ratings
907 downloads

Compatibility

Not Enough Data

Reports:
Works: 0
Broken: 0